Advanced AML
This endpoint performs a consolidated AML check that combines PEP screening and Adverse Media screening on a subject.
POST {{baseurl}}/v2/api/verifications/advanced/consolidated-aml
Headers
Name
Type
Description
API*
String
API secret token
Request Body
Field
Type
Description
fullName*
String
Full name of the subject
isSubjectConsent*
Boolean
Indicate subject has given consent. Must be true
countryl
String
Country code of subject (e.g. "NG")
startDate
String
Start date for adverse media filter (ISO 8601, e.g. "2026-01-01")
endDate
String
End date for adverse media filter (ISO 8601, e.g. "2026-03-07")
entityId
String
Existing entity ID to associate this check with
{
"fullName": "Seyi Tinubu",
"country": "NG",
"startDate": "2026-01-01",
"endDate": "2026-03-07",
"isSubjectConsent": true
}{
"success": true,
"statusCode": 200,
"message": "success",
"data": {
"status": "review_required",
"type": "nigeria_consolidated",
"queriedWith": "Name",
"query": "Seyi Tinubu",
"parentId": null,
"isSubjectConsent": true,
"pep": [
{
"name": "Seyi Tinubu",
"is_pep": true,
"pep_level": "Very High Risk (Level 1)",
"organisation_or_party": "All Progressives Congress (APC)",
"current_positions": ["CEO of Loatsad Promomedia"],
"date_of_birth": "1985-10-13",
"country": "NG",
"pep_association": true
}
],
"associate": [],
"sanctions": [],
"crime": [],
"adverseMedia": {
"query": "Seyi Tinubu",
"total": 1,
"weighted_score": 80,
"status": "Potential High Risk",
"media": [
{
"date": "2025-04-11",
"headline": "A song critical of Nigeria's president is barred from airwaves",
"score": 80,
"inferring": "Negative"
}
]
},
"businessId": "628b38f03ae28a14f52d4bf7",
"requestedAt": "2026-03-06T10:00:00.000Z",
"requestedById": "628b38f13ae28a7b742d4bf9",
"id": "66741bb72eebef89b0596acc",
"requestedBy": {
"firstName": "John",
"lastName": "Doe",
"middleName": "",
"id": "628b38f13ae28a7b742d4bf9"
}
},
"links": []
}Last updated
Was this helpful?
